<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Documento sin título</title>
<link href='http://fonts.googleapis.com/css?family=Roboto+Slab' rel='stylesheet' type='text/css'>
<link href="objetos.css" rel="stylesheet" type="text/css">
<script src="o7.js"></script>
</head>

<body>
<div class="cajas entrada">
<pre>
	const Animal=function(){
		this.nombrePadre="soy el padre";
	
	};
	
	const Leon=function(){
		this.nombreHijo="soy el hijo";
	};
	
	// una forma de añadir los miembros de animal a Leon
	Leon.prototype=new Animal();
	
	const objetoPadre=new Animal();
	const objetoHijo=new Leon();
	
	console.log(objetoPadre.nombrePadre);
	console.log(objetoHijo.nombrePadre);
	console.log(objetoHijo.nombreHijo);

</pre>
</div>
<div class="cajas salida" >
<div class="titulo">Ejemplo 7
</div>
<div class="explicacion">
Veamos un ejemplo de herencia
</div>
</div>
</body>
</html>
